Bug 431048 - internal compiler error: in cgraph_estimate_size_after_inlining, at ipa-inline.c:106
internal compiler error: in cgraph_estimate_size_after_inlining, at ipa-inlin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
6
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 08:35 EST by archimerged Ark submedes
Modified: 2008-02-07 03:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 03:40:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source files and command line which exhibit the internal compiler error (219.71 KB, application/octet-stream)
2008-01-31 08:35 EST, archimerged Ark submedes
no flags Details

  None (edit)
Description archimerged Ark submedes 2008-01-31 08:35:13 EST
Description of problem:
internal compiler error: in cgraph_estimate_size_after_inlining, at ipa-inline.c:106

Version-Release number of selected component (if applicable):
$ gcc --version
gcc (GCC) 4.1.2 20070626 (Red Hat 4.1.2-13)
[...]
$ rpm -qf /usr/bin/gcc
gcc-4.1.2-13.fc6

How reproducible:
every time

Steps to Reproduce:
1. tar jxf gccbug.tar.bz2 
2. cd gccbug
3. ./compile

Sorry I don't have Fedora 8 installed, but this
can easily be tested against the newer gcc.

Actual results:

XTERM.NDE.c:7025: internal compiler error: in
cgraph_estimate_size_after_inlining, at ipa-inline.c:106
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Expected results:

no internal compiler error

Additional info:
gcc -O3 -march=i686 -fwhole-program -combine ...
No includes used -- the inputs were already run through gcc -E
gccbug.tar.bz2 file attached.
Comment 1 archimerged Ark submedes 2008-01-31 08:35:13 EST
Created attachment 293579 [details]
preprocessed source files and command line which exhibit the internal compiler error
Comment 2 petrosyan 2008-02-02 20:55:04 EST
I can reproduce this bug with gcc-4.1.2-33 on Fedora 8.
Comment 3 Jakub Jelinek 2008-02-07 03:40:25 EST
Don't use -combine, it has at least in 4.1.x/4.2.x still many problems.

Note You need to log in before you can comment on or make changes to this bug.